
<?
   if(!isset($GLOBALS[__FILE__]))
   {
      $GLOBALS[__FILE__] = true;

      error_reporting(-1);

      class Util
      {
         static function makeTable($headers, $data,  $indent = "")
         {
            $html = <<< EOF
$indent<table bgcolor="black" cellpadding="10" cellspacing="1">
$indent <tr bgcolor="white">
EOF;
            foreach($headers as $header)
               $html .= "$indent  <th>$header</th>\n";

            $html .= "$indent </tr>\n";

            foreach($data as $row)
            {
               $html .= "$indent <tr bgcolor=\"white\">\n";

               foreach($row as $entry)
                  $html .= "$indent  <td>$entry</td>\n";

               $html .= "$indent </tr>\n";
            }

            $html .= "$indent</table>";

            return($html);
         }

         static function makeHTML($title, $contents)
         {
            $html = <<< EOF
<!doctype html>
<html>
 <head><title>$title</title></head>
 <body>
$contents
 </body>
</html>
EOF;

            return($html);
         }
      }
   }
?>
